# `PhoenixKitWeb.Components.Core.Icon`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/icon.ex#L1)

Provides a hero icon UI component.

# `icon`

Renders an icon.

## Attributes

* `name` (`:string`) (required)
* `class` (`:string`) - Defaults to `nil`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
